package com.yc.ship.module.marketing.enums.coupon;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

@RequiredArgsConstructor
@Getter
public enum CouponUseChannelEnum implements IntArrayValuable {
    ONLINE(1, "线上"),
    OFFLINE(2, "线下");
    ;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(CouponUseChannelEnum::getType).toArray();
    private final int type;
    private final String name;
    @Override
    public int[] array() {
        return ARRAYS;
    }
}
